org.modeshape.jcr.query

## Class BufferManager.CloseableBuffer

- java.lang.Object
- - org.modeshape.jcr.query.BufferManager.CloseableBuffer

- All Implemented Interfaces:
    AutoCloseable, BufferManager.Buffer
  Direct Known Subclasses:
    BufferManager.CloseableDistinctBuffer, BufferManager.CloseableQueueBuffer, BufferManager.CloseableSortingBuffer, BufferManager.CloseableSortingBufferWithDuplicates
  Enclosing class:
    BufferManager

      protected abstract class BufferManager.CloseableBuffer
      extends Object
      implements BufferManager.Buffer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `name`
    `protected boolean` | `onHeap`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BufferManager.CloseableBuffer(String name, boolean onHeap)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the buffer and release all resources.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.modeshape.jcr.query.BufferManager.Buffer

      `isEmpty, size`

- - ### Field Detail

    - #### name

          protected final String name

    - #### onHeap

          protected final boolean onHeap

  - ### Constructor Detail

    - #### BufferManager.CloseableBuffer

          protected BufferManager.CloseableBuffer(String name,
                                       boolean onHeap)

  - ### Method Detail

    - #### close

          public void close()

      Description copied from interface: `BufferManager.Buffer`
      Close the buffer and release all resources. The buffer is not usable after this.
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `BufferManager.Buffer`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.